Network.XmlRpc.Internals

# Method calls and repsonses

data MethodCall

data MethodResponse

# XML-RPC types

data Value

data Type

class XmlRpcType a

# Converting from XML

parseResponse

parseCall

getField

getFieldMaybe

# Converting to XML

renderCall

renderResponse

# Converting to and from DTD types

toXRValue

fromXRValue

toXRMethodCall

fromXRMethodCall

toXRMethodResponse

fromXRMethodResponse

toXRParams

fromXRParams

toXRMember

fromXRMember

# Error monad

type Err m a

maybeToM

handleError

ioErrorToErr